
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>eclipse开发opencv官方教程 / 憋错料</title>

    <meta name="description" content="eclipse开发opencv官方教程 Introduction to Java Development Last updated: 12 February, 2013. As of OpenCV 2.4.4, OpenCV supports desktop Java development using nearly the same interface as for Android development. This guide will help you to create your first Java (or Scala) a">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">eclipse开发opencv官方教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>Introduction to Java Development</h1>
<p>Last updated: 12 February, 2013.</p>
<p>As of OpenCV 2.4.4, OpenCV supports desktop Java development using nearly the same interface as for Android development. This guide will help you to create your first Java (or Scala) application using OpenCV. We will use either&nbsp;<a href="http://eclipse.org/" rel="external nofollow noreferrer">Eclipse</a>,&nbsp;<a href="http://ant.apache.org/" rel="external nofollow noreferrer">Apache<br />
 Ant</a>&nbsp;or the&nbsp;<a href="http://www.scala-sbt.org/" rel="external nofollow noreferrer">Simple Build Tool (SBT)</a>&nbsp;to build the application.</p>
<p>For further reading after this guide, look at the&nbsp;<a href="http://docs.opencv.org/2.4.4-beta/doc/tutorials/introduction/android_binary_package/android_dev_intro.html#android-dev-intro" rel="external nofollow noreferrer"><em>Introduction<br />
 into Android Development</em></a>&nbsp;tutorials.</p>
<h1>What we’ll do in this guide</h1>
<p>In this guide, we will:</p>
<ul>
<li>Get OpenCV with desktop Java support</li>
<li>Create an&nbsp;<tt>Ant</tt>,&nbsp;<tt>Eclipse</tt>&nbsp;or&nbsp;<tt>SBT</tt>&nbsp;project</li>
<li>Write a simple OpenCV application in Java or Scala</li>
</ul>
<p>The same process was used to create the samples in the&nbsp;<tt>samples/java</tt>&nbsp;folder of the OpenCV repository, so consult those files if you get<br />
 lost.</p>
<h1>Get OpenCV with desktop Java support</h1>
<p>Starting from version 2.4.4 OpenCV includes desktop Java bindings. The most simple way to get it is downloading the appropriate package of&nbsp;<strong>version 2.4.4 or higher</strong>&nbsp;from the&nbsp;<a href="http://sourceforge.net/projects/opencvlibrary/files/" rel="external nofollow noreferrer">OpenCV<br />
 SourceForge repository</a>.</p>
<p>Note</p>
<p>Windows users can find the prebuilt files needed for Java development in the&nbsp;<tt>opencv/build/java/</tt>&nbsp;folder inside the package. For other<br />
 OSes it’s required to build OpenCV from sources.</p>
<p>Another option to get OpenCV sources is to clone&nbsp;<a href="https://github.com/Itseez/opencv/" rel="external nofollow noreferrer">OpenCV git repository</a>. In order to build OpenCV with Java bindings<br />
 you need&nbsp;<abbr title="Java Development Kit">JDK</abbr>&nbsp;(we recommend&nbsp;<a href="http://www.oracle.com/technetwork/java/javase/downloads/" rel="external nofollow noreferrer">Oracle/Sun<br />
 JDK 6 or 7</a>),&nbsp;<a href="http://ant.apache.org/" rel="external nofollow noreferrer">Apache Ant</a>&nbsp;and&nbsp;<cite>Python</cite>&nbsp;v2.6 or higher to be installed.</p>
<h2>Build OpenCV</h2>
<p>Let’s build OpenCV:</p>
<blockquote><pre>git clone git://github.com/Itseez/opencv.git
cd opencv
git checkout 2.4
mkdir build
cd build
</pre>
</blockquote>
<p>Generate a Makefile or a MS Visual Studio* solution, or whatever you use for building executables in your system:</p>
<blockquote><pre>cmake -DBUILD_SHARED_LIBS=OFF ..
</pre>
</blockquote>
<p>or</p>
<blockquote><pre>cmake -DBUILD_SHARED_LIBS=OFF -G &quot;Visual Studio 10&quot; ..
</pre>
</blockquote>
<p>Note</p>
<p>When OpenCV is built as a set of&nbsp;<strong>static</strong>&nbsp;libraries (<tt>-DBUILD_SHARED_LIBS=OFF</tt>&nbsp;option) the Java bindings dynamic library is<br />
 all-sufficient, i.e. doesn’t depend on other OpenCV libs, but includes all the OpenCV code inside.</p>
<p>Examine the output of CMake and ensure&nbsp;<tt>java</tt>&nbsp;is one of the modules “To be built”. If not, it’s likely you’re missing a dependency. You should<br />
 troubleshoot by looking through the CMake output for any Java-related tools that aren’t found and installing them.</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9jbWFrZV9vdXRwdXQucG5n.jpg"></p></blockquote>
<p>Now start the build:</p>
<blockquote><pre>make -j8
</pre>
</blockquote>
<p>or</p>
<blockquote><pre>msbuild /m OpenCV.sln /t:Build /p:Configuration=Release /v:m
</pre>
</blockquote>
<p>Besides all this will create a&nbsp;<tt>jar</tt>&nbsp;containing the Java interface (<tt>bin/opencv_2.4.4.jar</tt>)<br />
 and a native dynamic library containing Java bindings and all the OpenCV stuff (<tt>bin/Release/opencv_java244.dll</tt>or&nbsp;<tt>bin/libopencv_java244.so</tt>&nbsp;respectively).<br />
 We’ll use these files later.</p>
<h1>Create a simple Java sample and an Ant build file for it</h1>
<p>Note</p>
<p>The described sample is provided with OpenCV library in the&nbsp;<tt>opencv/samples/java/ant</tt>&nbsp;folder.</p>
<ul>
<li>Create a folder where you’ll develop this sample application.</li>
<li>In this folder create an XML file with the following content using any text editor:<br />
<blockquote>
<table>
<tbody>
<tr>
<td></p>
<pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49</pre>
<p></td>
<td></p>
<pre>&lt;project name=&quot;SimpleSample&quot; basedir=&quot;.&quot; default=&quot;rebuild-run&quot;&gt;

    &lt;property name=&quot;src.dir&quot;     value=&quot;src&quot;/&gt;

    &lt;property name=&quot;lib.dir&quot;     value=&quot;${ocvJarDir}&quot;/&gt;
    &lt;path id=&quot;classpath&quot;&gt;
        &lt;fileset dir=&quot;${lib.dir}&quot; includes=&quot;**/*.jar&quot;/&gt;
    &lt;/path&gt;

    &lt;property name=&quot;build.dir&quot;   value=&quot;build&quot;/&gt;
    &lt;property name=&quot;classes.dir&quot; value=&quot;${build.dir}/classes&quot;/&gt;
    &lt;property name=&quot;jar.dir&quot;     value=&quot;${build.dir}/jar&quot;/&gt;

    &lt;property name=&quot;main-class&quot;  value=&quot;${ant.project.name}&quot;/&gt;

    &lt;target name=&quot;clean&quot;&gt;
        &lt;delete dir=&quot;${build.dir}&quot;/&gt;
    &lt;/target&gt;

    &lt;target name=&quot;compile&quot;&gt;
        &lt;mkdir dir=&quot;${classes.dir}&quot;/&gt;
        &lt;javac srcdir=&quot;${src.dir}&quot; destdir=&quot;${classes.dir}&quot; classpathref=&quot;classpath&quot;/&gt;
    &lt;/target&gt;

    &lt;target name=&quot;jar&quot; depends=&quot;compile&quot;&gt;
        &lt;mkdir dir=&quot;${jar.dir}&quot;/&gt;
        &lt;jar destfile=&quot;${jar.dir}/${ant.project.name}.jar&quot; basedir=&quot;${classes.dir}&quot;&gt;
            &lt;manifest&gt;
                &lt;attribute name=&quot;Main-Class&quot; value=&quot;${main-class}&quot;/&gt;
            &lt;/manifest&gt;
        &lt;/jar&gt;
    &lt;/target&gt;

    &lt;target name=&quot;run&quot; depends=&quot;jar&quot;&gt;
        &lt;java fork=&quot;true&quot; classname=&quot;${main-class}&quot;&gt;
            &lt;sysproperty key=&quot;java.library.path&quot; path=&quot;${ocvLibDir}&quot;/&gt;
            &lt;classpath&gt;
                &lt;path refid=&quot;classpath&quot;/&gt;
                &lt;path location=&quot;${jar.dir}/${ant.project.name}.jar&quot;/&gt;
            &lt;/classpath&gt;
        &lt;/java&gt;
    &lt;/target&gt;

    &lt;target name=&quot;rebuild&quot; depends=&quot;clean,jar&quot;/&gt;

    &lt;target name=&quot;rebuild-run&quot; depends=&quot;clean,run&quot;/&gt;

&lt;/project&gt;
</pre>
<p></td>
</tr>
</tbody>
</table>
<p>Note</p>
<p>This XML file can be reused for building other Java applications. It describes a common folder structure in the lines 3 - 12 and common targets for compiling and running the application.</p>
<p>When reusing this XML don’t forget to modify the project name in the line 1, that is also the name of the&nbsp;<cite>main</cite>&nbsp;class (line 14). The paths to OpenCV&nbsp;<cite>jar</cite>&nbsp;and&nbsp;<cite>jni<br />
 lib</cite>&nbsp;are expected as parameters (<tt>&quot;${ocvJarDir}&quot;</tt>&nbsp;in line 5 and&nbsp;<tt>&quot;${ocvLibDir}&quot;</tt>&nbsp;in<br />
 line 37), but you can hardcode these paths for your convenience. See&nbsp;<a href="http://ant.apache.org/manual/" rel="external nofollow noreferrer">Ant documentation</a>&nbsp;for detailed description of its<br />
 build file format.</p></blockquote>
</li>
<li>Create an&nbsp;<tt>src</tt>&nbsp;folder next to the&nbsp;<tt>build.xml</tt>&nbsp;file<br />
 and a&nbsp;<tt>SimpleSample.java</tt>&nbsp;file in it.</li>
<li>
<dl>
<dt>
Put the following Java code into the&nbsp;<tt>SimpleSample.java</tt>&nbsp;file:</dt>
<dd>
<pre>import org.opencv.core.Mat;
import org.opencv.core.CvType;
import org.opencv.core.Scalar;

class SimpleSample {

  static{ System.loadLibrary(&quot;opencv_java244&quot;); }

  public static void main(String[] args) {
    Mat m = new Mat(5, 10, CvType.CV_8UC1, new Scalar(0));
    System.out.println(&quot;OpenCV Mat: &quot; &#043; m);
    Mat mr1 = m.row(1);
    mr1.setTo(new Scalar(1));
    Mat mc5 = m.col(5);
    mc5.setTo(new Scalar(5));
    System.out.println(&quot;OpenCV Mat data:\n&quot; &#043; m.dump());
  }

}
</pre>
</dd>
</dl>
</li>
<li>
<dl>
<dt>
Run the following command in console in the folder containing&nbsp;<tt>build.xml</tt>:</dt>
<dd>
<pre>ant -DocvJarDir=path/to/dir/containing/opencv-244.jar -DocvLibDir=path/to/dir/containing/opencv_java244/native/library
</pre>
<p>For example:</p>
<pre>ant -DocvJarDir=X:\opencv-2.4.4\bin -DocvLibDir=X:\opencv-2.4.4\bin\Release
</pre>
<p>The command should initiate [re]building and running the sample. You should see on the screen something like this:</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9hbnRfb3V0cHV0LnBuZw==.jpg"></dd>
</dl>
</li>
</ul>
<h1>Create a simple Java project in Eclipse</h1>
<p>Now let’s look at the possiblity of using OpenCV in Java when developing in Eclipse IDE.</p>
<ul>
<li>Create a new Eclipse workspace</li>
<li>Create a new Java project via&nbsp;File –&gt; New –&gt; Java<br />
 Project</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX25ld19qYXZhX3Byai5wbmc=.jpg"></p>
<p>Call it say “HelloCV”.</p></blockquote>
</li>
<li>
<dl>
<dt>
Open&nbsp;Java Build Path&nbsp;tab on&nbsp;Project<br />
 Properties&nbsp;dialog</dt>
<dd>
<blockquote><p>and configure additional library (OpenCV) reference (jar and native library location):</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliLnBuZw==.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliMi5wbmc=.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliMy5wbmc=.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliNC5wbmc=.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliNS5wbmc=.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliNi5wbmc=.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliNy5wbmc=.jpg"></p></blockquote>
<p>` `</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3VzZXJfbGliOC5wbmc=.jpg"></p></blockquote>
<p>` `</p>
</dd>
</dl>
</li>
<li>Add a new Java class (say&nbsp;<tt>Main</tt>) containing the application<br />
 entry:</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX21haW5fY2xhc3MucG5n.jpg"></p></blockquote>
</li>
<li>
<dl>
<dt>
Put some simple OpenCV calls there, e.g.:</dt>
<dd>
<pre>import org.opencv.core.CvType;
import org.opencv.core.Mat;

public class Main {
    public static void main(String[] args) {
        System.loadLibrary(&quot;opencv_java244&quot;);
        Mat m  = Mat.eye(3, 3, CvType.CV_8UC1);
        System.out.println(&quot;m = &quot; &#043; m.dump());
    }
}
</pre>
</dd>
</dl>
</li>
<li>Press&nbsp;Run&nbsp;button and find the identity matrix<br />
 content in the Eclipse&nbsp;<tt>Console</tt>&nbsp;window.</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9lY2xpcHNlX3J1bi5wbmc=.jpg"></p></blockquote>
</li>
</ul>
<h1>Create an SBT project and samples in Java and Scala</h1>
<p>Now we’ll create a simple Java application using SBT. This serves as a brief introduction to those unfamiliar with this build tool. We’re using SBT because it is particularly easy and powerful.</p>
<p>First, download and install&nbsp;<a href="http://www.scala-sbt.org/" rel="external nofollow noreferrer">SBT</a>&nbsp;using the instructions on its&nbsp;<a href="http://www.scala-sbt.org/" rel="external nofollow noreferrer">web<br />
 site</a>.</p>
<p>Next, navigate to a new directory where you’d like the application source to live (outside&nbsp;<tt>opencv</tt>&nbsp;dir). Let’s call it “JavaSample” and<br />
 create a directory for it:</p>
<blockquote><pre>cd &lt;somewhere outside opencv&gt;
mkdir JavaSample
</pre>
</blockquote>
<p>Now we will create the necessary folders and an SBT project:</p>
<blockquote><pre>cd JavaSample
mkdir -p src/main/java # This is where SBT expects to find Java sources
mkdir project # This is where the build definitions live
</pre>
</blockquote>
<p>Now open&nbsp;<tt>project/build.scala</tt>&nbsp;in your favorite editor and paste the following. It defines your project:</p>
<blockquote><pre> import sbt._
 import Keys._

object JavaSampleBuild extends Build {
  def scalaSettings = Seq(
    scalaVersion := &quot;2.10.0&quot;,
    scalacOptions &#043;&#043;= Seq(
      &quot;-optimize&quot;,
      &quot;-unchecked&quot;,
      &quot;-deprecation&quot;
    )
  )

  def buildSettings =
    Project.defaultSettings &#043;&#043;
    scalaSettings

  lazy val root = {
    val settings = buildSettings &#043;&#043; Seq(name := &quot;JavaSample&quot;)
    Project(id = &quot;JavaSample&quot;, base = file(&quot;.&quot;), settings = settings)
  }
}
</pre>
</blockquote>
<p>Now edit&nbsp;<tt>project/plugins.sbt</tt>&nbsp;and paste the following. This will enable auto-generation of an Eclipse project:</p>
<blockquote><pre>addSbtPlugin(&quot;com.typesafe.sbteclipse&quot; % &quot;sbteclipse-plugin&quot; % &quot;2.1.0&quot;)
</pre>
</blockquote>
<p>Now run&nbsp;<tt>sbt</tt>&nbsp;from the&nbsp;<tt>JavaSample</tt>&nbsp;root<br />
 and from within SBT run&nbsp;<tt>eclipse</tt>&nbsp;to generate an eclipse project:</p>
<blockquote><pre>sbt # Starts the sbt console
&gt; eclipse # Running &quot;eclipse&quot; from within the sbt console
</pre>
</blockquote>
<p>You should see something like this:</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9zYnRfZWNsaXBzZS5wbmc=.jpg"></p></blockquote>
<p>You can now import the SBT project to Eclipse using&nbsp;Import ... -&gt; Existing projects into workspace. Whether you actually<br />
 do this is optional for the guide; we’ll be using SBT to build the project, so if you choose to use Eclipse it will just serve as a text editor.</p>
<p>To test that everything is working, create a simple “Hello OpenCV” application. Do this by creating a file&nbsp;<tt>src/main/java/HelloOpenCV.java</tt>&nbsp;with<br />
 the following contents:</p>
<blockquote><pre> public class HelloOpenCV {
   public static void main(String[] args) {
     System.out.println(&quot;Hello, OpenCV&quot;);
  }
}
</pre>
</blockquote>
<p>Now execute&nbsp;<tt>run</tt>&nbsp;from the sbt console, or more concisely, run&nbsp;<tt>sbt&nbsp;run</tt>&nbsp;from<br />
 the command line:</p>
<blockquote><pre>sbt run
</pre>
</blockquote>
<p>You should see something like this:</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9zYnRfcnVuLnBuZw==.jpg"></p></blockquote>
<h1>Copy the OpenCV jar and write a simple application</h1>
<p>Now we’ll create a simple face detection application using OpenCV.</p>
<p>First, create a&nbsp;<tt>lib/</tt>&nbsp;folder and copy the OpenCV jar into it. By default, SBT adds jars in the lib folder to the Java library search<br />
 path. You can optionally rerun&nbsp;<tt>sbt&nbsp;eclipse</tt>&nbsp;to update your Eclipse project.</p>
<blockquote><pre>mkdir lib
cp &lt;opencv_dir&gt;/build/bin/opencv_&lt;version&gt;.jar lib/
sbt eclipse
</pre>
</blockquote>
<p>Next, create the directory src/main/resources and download this Lena image into it:</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9sZW5hLnBuZw==.jpg"></p></blockquote>
<p>Make sure it’s called&nbsp;<tt>&quot;lena.png&quot;</tt>. Items in the resources directory are available to the Java application at runtime.</p>
<p>Next, copy&nbsp;<tt>lbpcascade_frontalface.xml</tt>&nbsp;from&nbsp;<tt>opencv/data/</tt>&nbsp;into<br />
 the&nbsp;<tt>resources</tt>&nbsp;directory:</p>
<blockquote><pre>cp &lt;opencv_dir&gt;/data/lbpcascades/lbpcascade_frontalface.xml src/main/resources/
</pre>
</blockquote>
<p>Now modify src/main/java/HelloOpenCV.java so it contains the following Java code:</p>
<pre>import org.opencv.core.Core;
import org.opencv.core.Mat;
import org.opencv.core.MatOfRect;
import org.opencv.core.Point;
import org.opencv.core.Rect;
import org.opencv.core.Scalar;
import org.opencv.highgui.Highgui;
import org.opencv.objdetect.CascadeClassifier;

//
// Detects faces in an image, draws boxes around them, and writes the results
// to &quot;faceDetection.png&quot;.
//
class DetectFaceDemo {
  public void run() {
    System.out.println(&quot;\nRunning DetectFaceDemo&quot;);

    // Create a face detector from the cascade file in the resources
    // directory.
    CascadeClassifier faceDetector = new CascadeClassifier(getClass().getResource(&quot;/lbpcascade_frontalface.xml&quot;).getPath());
    Mat image = Highgui.imread(getClass().getResource(&quot;/lena.png&quot;).getPath());

    // Detect faces in the image.
    // MatOfRect is a special container class for Rect.
    MatOfRect faceDetections = new MatOfRect();
    faceDetector.detectMultiScale(image, faceDetections);

    System.out.println(String.format(&quot;Detected %s faces&quot;, faceDetections.toArray().length));

    // Draw a bounding box around each face.
    for (Rect rect : faceDetections.toArray()) {
        Core.rectangle(image, new Point(rect.x, rect.y), new Point(rect.x &#043; rect.width, rect.y &#043; rect.height), new Scalar(0, 255, 0));
    }

    // Save the visualized detection.
    String filename = &quot;faceDetection.png&quot;;
    System.out.println(String.format(&quot;Writing %s&quot;, filename));
    Highgui.imwrite(filename, image);
  }
}

public class HelloOpenCV {
  public static void main(String[] args) {
    System.out.println(&quot;Hello, OpenCV&quot;);

    // Load the native library.
    System.loadLibrary(&quot;opencv_java244&quot;);
    new DetectFaceDemo().run();
  }
}
</pre>
<p>Note the call to&nbsp;<tt>System.loadLibrary(&quot;opencv_java244&quot;)</tt>. This command must be executed exactly once per Java process prior to using any native<br />
 OpenCV methods. If you don’t call it, you will get<tt>UnsatisfiedLink&nbsp;errors</tt>. You will also get errors if you try to<br />
 load OpenCV when it has already been loaded.</p>
<p>Now run the face detection app using&nbsp;<tt>sbt&nbsp;run</tt>:</p>
<blockquote><pre>sbt run
</pre>
</blockquote>
<p>You should see something like this:</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9zYnRfcnVuX2ZhY2UucG5n.jpg"></p></blockquote>
<p>It should also write the following image to&nbsp;<tt>faceDetection.png</tt>:</p>
<blockquote><p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvZG9jcy5vcGVuY3Yub3JnLzIuNC40LWJldGEvX2ltYWdlcy9mYWNlRGV0ZWN0aW9uLnBuZw==.jpg"></p></blockquote>
<p>You’re done! Now you have a sample Java application working with OpenCV, so you can start the work on your own. We wish you good luck and many years of joyful life!</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 06:53:33 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>eclipse开发opencv官方教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6Ba8JM.html" rel="bookmark">分享《OpenCV官方教程中文版（For Python）》&plus;PDF&plus;段力辉</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载:https://pan.baidu.com/s/1sWxCp2uaQSS8-5TRdEVJyA 更多资料学习:http://blog.51cto.com/14087171 版权说明:本人无版权,请您在体验电子版书籍的同时,支持正版,购买正版书籍!!! 首页如下图 原文地址:http://blog.51cto.com/14087171/2323372			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q281kM.html" rel="bookmark">jetty使用教程&lpar;嵌入eclipse开发&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在eclipse下面建一个java project 建立目录结构如下: 二级目录: (备注jetty_test是工程的根目录,etc.lib.webRoot为其二级目录) 到jetty的官方网站(http://www.eclipse.org/jetty/)下载jetty的开发包: 我下载的jetty-hightide-8.0.0.v20110901.tar.gz: 把里面的lib目录的jar包和lib/jsp目录下面的jar包导入到工程里面 说明白,其实jetty.xml和webdefault.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kX78X3.html" rel="bookmark">如何在Eclipse正确安装配置PyDev插件的官方教程，以及error 问题的解决方法：</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				官方教程; 1 1 This manual assumes that you have already have Python and/or Jython and/or IronPython installed in your machine, as well as Eclipse. Manual topics: Installing from update site and zips uninstalling Configuring the interpreter specify the py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP8BZ1M.html" rel="bookmark">【OpenCV入门教程之一】 安装OpenCV：OpenCV 3&period;0、OpenCV 2&period;4&period;8、OpenCV 2&period;4&period;9 &plus;VS 开发环境配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章由@浅墨_毛星云 出品.   文章链接:http://blog.csdn.net/poem_qianmo/article/details/19809337 1.下载和安装OpenCV SDK VS2010不用说,肯定都安装了吧.来说说当前最新的OpenCV版本2.4.8(2014年2月24日),2.4.9 (2014年4月)的下载和安装.与其说是安装,不如叫解压更加合适,因为我们下载的exe安装文件就是一个自解压程序而已. 在官网:http://opencv.org/上找到OpenCV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmAJoYM.html" rel="bookmark">&lbrack;游戏开发-学习笔记&rsqb;菜鸟慢慢飞（三）-官方教程学习小心得</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自己的事情自己做 举例:官方教程&lt;Tanks tutorial&gt;中,小坦克:移动,移动的声音,射击,生命值的管理,等Component都挂载在GameObject坦克自己的身上.炮弹,则管理自己的爆炸等. 好处不少: ~开发维护的时候更加方便 ~符合&quot;面对对象&quot;的思想 一个脚本做一件事情 举例:官方教程&lt;Tanks tutorial&gt;中,小坦克:c#脚本分为三个,移动,生命管理,射击. 好处很多: ~在炮弹的爆炸脚本可以单独调用生命管理去更改生命值. ~代码更加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lwG8WM.html" rel="bookmark">eclipse开发scrapy爬虫工程，附爬虫临门级教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写在前面 自学爬虫入门之后感觉应该将自己的学习过程整理一下,也为了留个纪念吧. scrapy环境的配置还请自行百度,其实也不难(仅针对windows系统,centos配置了两天,直到现在都没整明白) 就是安装python之后下载pip,setup pip,然后用pip install下载就行了(pyspider也是这样配置的). 附主要资料参考地址 scrapy教程地址  https://www.bilibili.com/video/av13663892?t=129&amp;p=2 eclipse开发s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQQOz3.html" rel="bookmark">Linux上搭建Hadoop2&period;6&period;3集群以及WIN7通过Eclipse开发MapReduce的demo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近期为了分析国内航空旅游业常见安全漏洞,想到了用大数据来分析,其实数据也不大,只是生产项目没有使用Hadoop,因此这里实际使用一次. 先看一下通过hadoop分析后的结果吧,最终通过hadoop分析国内典型航空旅游业厂商的常见安全漏洞个数的比例效果如下: 第一次正式使用Hadoop,肯定会遇到非常多的问题,参考了很多网络上的文章,我把自己从0搭建到使用的过程记录下来,方便以后自己或其他人参考. 之前简单用过storm,适合实时数据的处理.hadoop更偏向静态数据的处理,网上很多hadoop的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a7LNP4.html" rel="bookmark">【OpenCV入门教程之三】 图像的载入，显示和输出 一站式完全解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				了解过之前老版本OpenCV的童鞋们都应该清楚,对于OpenCV1.0时代的基于 C 语言接口而建的图像存储格式IplImage*,如果在退出前忘记release掉的话,就会造成内存泄露.而且用起来超级麻烦,我们往往在debug的时候,很大一部分时间在纠结手动释放内存的问题.虽然对于小型的程序来说手动管理内存不是问题,但一旦我们写的代码变得越来越庞大,我们便会开始越来越多地纠缠于内存管理的问题,而不是着力解决你的开发目标. 这,就有些舍本逐末的感觉了. 而自从OpenCV踏入2.0时代,用Mat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wyWv1M.html" rel="bookmark">Eclipse开发Android程序如何在手机上运行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android开发不论是在真机上调试还是最终发布到真机上都非常简单,过程如下: 1.安装usb驱动 手机要能与电脑相连,当然要安驱动了.效果就是你插入手机,电脑显示驱动已识别.驱动安装的官方教程:http://developer.android.com/sdk/win-usb.html 官方教程概述: 不同的Android手机有对应不同的驱动,对于Nexus One, and Nexus S,见官方教程“Downloading the Goolge USB Driver”部分,直接用Androi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBWeA0.html" rel="bookmark" class="title">Solr4&period;8&period;0源码分析&lpar;22&rpar;之 SolrCloud的Recovery策略&lpar;三&rpar;</a>
					<div>
						Solr4.8.0源码分析(22)之 SolrCloud的Recovery策略(三) 本文是SolrCloud的Recovery策略系列的第三篇文章,前面两篇主要介绍了Recovery的总体流程,以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138AEg4.html" rel="bookmark" class="title">文件操作2</a>
					<div>
						&lt;?php //目录操作 //1.创建目录 mkdir(&quot;./one&quot;); //2.删除目录 rmdir(&quot;./one&quot;); //3.移动目录,重命名 r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzKRl0.html" rel="bookmark" class="title">Log4j初步配置</a>
					<div>
						### 设置### log4j.rootLogger = debug,stdout,D,E ### 输出信息到控制台 ### log4j.appender.stdout = org.apache.lo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YgZ6W4.html" rel="bookmark" class="title">设计模式----访问者模式</a>
					<div>
						?定义:表示一个作用于某对象结构中的歌元素的操作,可以使你在不改变个元素的类的前提下定义作用于这些元素的操作. 当需要扩展一个已有类的层次结构时,我们一般只需要简单增加一些方法来扩展的行为,会出现已有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgX7Zg0.html" rel="bookmark" class="title">《大转换》，计算会像电力一样变成基础设施，基本是作者10年前写的《IT不再重要》的修订版，3星。</a>
					<div>
						本书英文版是2014年出的,基本是作者2004年的&lt;IT不再重要&gt;的修订版,还是在说&lt;IT不再重要&gt;的那个主题:计算会想电力一样变成技术设施,只需要按需购买. 以下是书中一些观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2mL73.html" rel="bookmark" class="title">开篇--感谢生活</a>
					<div>
						毕业已经快十年了,回首自己的程序人生,充满着无数的艰辛与挑战. 踏上工作岗们的我经历了和大多数人一样的无奈,经验没有,什么都不会,公司的老员工都不想正眼瞧你一眼.正是这种无视让我更加独立,更加勇敢地面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49oDQD0.html" rel="bookmark" class="title">SQLSERVER中如何忽略索引提示</a>
					<div>
						原文:SQLSERVER中如何忽略索引提示 SQLSERVER中如何忽略索引提示 当我们想让某条查询语句利用某个索引的时候,我们一般会在查询语句里加索引提示,就像这样 SELECT id,name f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0enGeZ3.html" rel="bookmark" class="title">虚拟机拷贝后网卡eth0变成了eth1的解决办法</a>
					<div>
						1: vi  /etc/udev/rules.d/70-persistent-net.rules 2:将eth0那行删了,将eth1哪行的eth1改为eth0 3:配置ifcfg-eth0脚本,ifc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXYkA4.html" rel="bookmark" class="title">&lpar;04&rpar;odoo视图操作</a>
					<div>
						* 窗口操作 如下一些代码 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; &lt;openerp&gt; &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02LGn24.html" rel="bookmark" class="title">Error Code&colon; 1630&period; FUNCTION rand&period;string does not exist</a>
					<div>
						1.错误描述 13:50:13 call new_procedure Error Code: 1630. FUNCTION rand.string does not exist. Check the  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGavZy3.html" rel="bookmark" class="title">微服务业务开发三个难题－拆分、事务、查询（下）</a>
					<div>
						上集我们阐述了使用微服务体系架构的关键障碍是领域模型,事务和查询,这三个障碍似乎和功能拆分具有天然的对抗.只要功能拆分了,就涉及这三个难题. 然后我们向你展示了一种解决方案就是将每个服务的业务逻辑实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZ1aX3.html" rel="bookmark" class="title">C语言进行网站开发之cgi</a>
					<div>
						﻿﻿ 安装Apach 配置ApacheRuntime 下面的过程中一直点击next 配置CGI,放开配置:AddHandler cgi-script .cgi 2.添加Option,截图 3.编写CG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5q8Q3.html" rel="bookmark" class="title">Python3基础 for循环示例 输出一个字符串中的每一个字符</a>
					<div>
						镇场诗: 诚听如来语,顿舍世间名与利.愿做地藏徒,广演是经阎浮提. 愿尽吾所学,成就一良心博客.愿诸后来人,重现智慧清净体.-------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zlWJM.html" rel="bookmark" class="title">04&mdash;代理模式</a>
					<div>
						简单的描述一下,其实代理模式挺好理解的,比如果你的朋友出国了,让他帮你在国外买个苹果手机,这就是代理模式了.代理模式:为其他对像提供一种代理以控制对这个对像的访问. 上代码: //Subject类,定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QaKyw4.html" rel="bookmark" class="title">《数据结构》C&plus;&plus;代码 散列表</a>
					<div>
						       散列表,又名哈希表.Hash表.这是一个神奇的数据结构,它的复杂度是常数级别,由于我非常喜欢这个数据结构,在此简单介绍一下.        (没有学过Hash表的同学,我推荐一个教程:h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d2Dgn4.html" rel="bookmark" class="title">Dubbo中服务消费者和服务提供者之间的请求和响应过程</a>
					<div>
						服务提供者初始化完成之后,对外暴露Exporter.服务消费者初始化完成之后,得到的是Proxy代理,方法调用的时候就是调用代理. 服务消费者经过初始化之后,得到的是一个动态代理类,InvokerIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXD1yaM.html" rel="bookmark" class="title">一幅图告诉你所有的NodeJS命令行调试语句</a>
					<div>
						NodeJS提供脚本调试. 输入node debug xx.js即可进入调试模式.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35P5QR0.html" rel="bookmark" class="title">Fragment使用PagerSlidingTabStrip嵌套子Fragment显示问题</a>
					<div>
						第一个fragment,代表着首页.首页又是一个类似tab的fragment,使用viewpager切换着两个fragment. 1 private void InitViewPager(View p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXL2P0.html" rel="bookmark" class="title">动态添加PopupWindow</a>
					<div>
						动态添加PopupWindow的方法private void showPopupWindow() { LayoutInflater inflater = LayoutInflater.from(thi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02q28EM.html" rel="bookmark" class="title">win、mac  设置 php上传文件大小限制</a>
					<div>
						修改php.ini win平台WAMP修改 步骤 左键点击wamp 选择php 在弹出的窗口中选择php.ini 在打开的文件中进行修改(修改步骤如下) 修改完毕,保存并重启wamp mac  MAM ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
